Author vstinner
Recipients adaptivelogic, eric.snow, gvanrossum, mahmoud, martius, ncoghlan, ned.deily, pitrou, python-dev, rbcollins, rhettinger, vstinner, xonatius, yselivanov
Date 2015-03-05.01:54:49
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1425520491.37.0.0778028126562.issue17911@psf.upfronthosting.co.za>
In-reply-to
Content
There are failures on buildbot.
http://buildbot.python.org/all/builders/AMD64%20Ubuntu%20LTS%203.x/builds/5651/steps/test/logs/stdio
http://buildbot.python.org/all/builders/AMD64%20Windows7%20SP1%203.x/builds/5783/steps/test/logs/stdio
http://buildbot.python.org/all/builders/PPC64%20PowerLinux%203.x/builds/3109/steps/test/logs/stdio

Examples:

======================================================================
ERROR: test_cause_tb (test.test_code_module.TestInteractiveConsole)
----------------------------------------------------------------------
Traceback (most recent call last):
AttributeError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/python/3.x.langa-ubuntu/build/Lib/code.py", line 91, in runcode
    exec(code, self.locals)
  File "<console>", line 1, in <module>
ValueError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/python/3.x.langa-ubuntu/build/Lib/test/test_code_module.py", line 85, in test_cause_tb
    self.console.interact()
  File "/opt/python/3.x.langa-ubuntu/build/Lib/code.py", line 245, in interact
    more = self.push(line)
  File "/opt/python/3.x.langa-ubuntu/build/Lib/code.py", line 267, in push
    more = self.runsource(source, self.filename)
  File "/opt/python/3.x.langa-ubuntu/build/Lib/code.py", line 75, in runsource
    self.runcode(code)
  File "/opt/python/3.x.langa-ubuntu/build/Lib/code.py", line 95, in runcode
    self.showtraceback()
  File "/opt/python/3.x.langa-ubuntu/build/Lib/code.py", line 144, in showtraceback
    for value, tb in traceback._iter_chain(*ei[1:]):
AttributeError: module 'traceback' has no attribute '_iter_chain'



======================================================================
ERROR: test_html (test.test_cgitb.TestCgitb)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-powerlinux-ppc64/build/Lib/test/test_cgitb.py", line 23, in test_html
    raise ValueError("Hello World")
ValueError: Hello World

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.x.edelsohn-powerlinux-ppc64/build/Lib/test/test_cgitb.py", line 27, in test_html
    html = cgitb.html(sys.exc_info())
  File "/home/shager/cpython-buildarea/3.x.edelsohn-powerlinux-ppc64/build/Lib/cgitb.py", line 189, in html
    ''.join(traceback.format_exception(etype, evalue, etb)))
  File "/home/shager/cpython-buildarea/3.x.edelsohn-powerlinux-ppc64/build/Lib/traceback.py", line 109, in format_exception
    etype, value, tb, limit=limit).format(chain=chain))
  File "/home/shager/cpython-buildarea/3.x.edelsohn-powerlinux-ppc64/build/Lib/traceback.py", line 433, in __init__
    if exc_type and issubclass(exc_type, SyntaxError):
TypeError: issubclass() arg 1 must be a class
History
Date User Action Args
2015-03-05 01:54:51vstinnersetrecipients: + vstinner, gvanrossum, rhettinger, ncoghlan, pitrou, rbcollins, ned.deily, python-dev, eric.snow, mahmoud, yselivanov, adaptivelogic, martius, xonatius
2015-03-05 01:54:51vstinnersetmessageid: <1425520491.37.0.0778028126562.issue17911@psf.upfronthosting.co.za>
2015-03-05 01:54:51vstinnerlinkissue17911 messages
2015-03-05 01:54:49vstinnercreate